Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssbind
Class HeaderStAXHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
              org.biojava.bio.program.ssbind.HeaderStAXHandler

All Implemented Interfaces:
  StAXContentHandler

    public class HeaderStAXHandler

extends SeqSimilarityStAXHandler

`HeaderStAXHandler` handles the Header element of BioJava BlastLike XML.

Since:
  1.3
Author:
  Keith James, Matthew Pocock

Field Summary
`static StAXHandlerFactory` | `HEADER_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`ssContext`

Method Summary

Methods inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`addHandler, endElement, handleEndElement, handleStartElement, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_HANDLER_FACTORY

    public static final StAXHandlerFactory HEADER_HANDLER_FACTORY

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD